Multimedia.

MP3 codecs installation.
Due to licensing problems Fedora Core 5 doesn’t install any MP3 codec. As there are still people posting podcasts with MP3 format instead of OGG, and I’m too lazy to convert all the podcasts, I have to install MP3 codecs.

For XMMS-MP3 suport we can get xmms-mp3 from freshrpms.net

http://ftp.freshrpms.net/pub/freshrpms/fedora/linux/5/xmms-mp3/

As of this writing:

http://ftp.freshrpms.net/pub/freshrpms/fedora/linux/5/xmms-mp3/xmms-mp3-1.2.10-15.fc5.i386.rpm

is the latest version.

Video Codecs

Due to licencing problems (deja vú?) FC5 doesn’t provides a very good set of video codecs. We can install some additional codecs (especially via freshrpms and atrpms).

yum --enablerepo=* install w32codec gstreamer-plugins* lame ffmpeg mjpegtools

After installing codecs we must run: gst-register-0.8 to register them.

Flash

To install flash (sorry 64bit dudes, only 32 version right now) we can add a YUM repository pointing to Macromedia’s Flash Plugin. To do so, add a file called macromedia.repo to /etc/yum.repos.d/ with the following:

[macromedia]
name=Macromedia for i386 Linux
baseurl=http://macromedia.rediris.es/rpm/
enabled=1
gpgcheck=1
gpgkey=http://macromedia.mplug.org/FEDORA-GPG-KEY

And yes, the repository is at rediris.es (SPANISH Academic network).

There’s a known issue with flash in Fedora Core 5. In the home page (http://macromedia.mplug.org/) of the flash plugin for Fedora Core 5 there’s a recipe for solving it.

The recipe is:

11. Most text is failing to display on Flash sites!

The plugin has bugs where it makes bad assumptions about the font configuration.
For this reason, it fails to find fonts on newer versions of X.org. You can
workaround this problem in the short-term by using these commands as root.

mkdir -p /usr/X11R6/lib/X11/fs/
ln -s /etc/X11/fs/config /usr/X11R6/lib/X11/fs/config

Read Red Hat Bugzilla #184028 for more information about this problem.
Ultimately Macromedia must fix this bug in a future version of their plugin.

Acrobat Reader

First we must dowload AdoberReader from adobe.com (here). Once downloaded, as root, we must do:

yum localinstall AdobeReader_enu-7.0.5-1.i386.rpm

 

With this we’ll install AdobeReader solving automatically all the dependencies it has on other packages (namely: compat-libstdc++-33).

To also enable Acrobat’s plugin for Firefox, as root:

 

cd /usr/local/Adobe/Acrobat7.0/Browser/intellinux/
ln -s nppdf.so /usr/lib/mozilla/plugins

 

Anuncis

Deixa un comentari

Fill in your details below or click an icon to log in:

WordPress.com Logo

Esteu comentant fent servir el compte WordPress.com. Log Out / Canvia )

Twitter picture

Esteu comentant fent servir el compte Twitter. Log Out / Canvia )

Facebook photo

Esteu comentant fent servir el compte Facebook. Log Out / Canvia )

Google+ photo

Esteu comentant fent servir el compte Google+. Log Out / Canvia )

Connecting to %s